Embeddings Settings
Embeddings Settings
@toothfairyai/sdk@latest…Embeddings Settings Management Module Handles embeddings settings retrieval and updates.
Accessed via client.embeddingsSettings.
Methods
| Method | HTTP | Endpoint |
|---|---|---|
get | GET | GET /embeddings_settings/get |
update | POST | POST /embeddings_settings/update |
get
Get embeddings settings for the workspace
async get()
Endpoint: GET /embeddings_settings/get
Field-level schema not available in the API spec for this endpoint.
Example
const result = await client.embeddingsSettings.get();
update
Update embeddings settings
async update(
options: {
maxChunkWords?: number;
chunkingStrategy?: string;
imageExtractionStrategy?: string;
overlapWords?: number;
minChunkWords?: number;
} = {}
)
Endpoint: POST /embeddings_settings/update · API service
Request fields
| Field | Type | Required | Description |
|---|---|---|---|
workspaceid | string | no | Unique workspace identifier (UUID v4) |
maxChunkWords | integer | no | Maximum words per chunk when splitting documents (200-1500) |
maxOverlapSentences | integer | no | Number of overlapping sentences between chunks (0-5) |
chunkingStrategy | string | no | Chunking strategy: keywords or summary |
Allowed: keywords, summary |
| imageExtractionStrategy | string | no | Image extraction strategy: safe or brute
Allowed: safe, brute |
| minImageWidth | integer | no | Minimum image width for extraction (pixels, min 100) |
| minImageHeight | integer | no | Minimum image height for extraction (pixels, min 100) |
| aspectRatioMin | string | no | Minimum aspect ratio for image extraction (0.1-1.0) |
| aspectRatioMax | string | no | Maximum aspect ratio for image extraction (min 1.0) |
Response fields
| Field | Type | Description |
|---|---|---|
workspaceid | string | Unique workspace identifier (UUID v4) |
maxChunkWords | integer | Maximum words per chunk when splitting documents (200-1500) |
maxOverlapSentences | integer | Number of overlapping sentences between chunks (0-5) |
chunkingStrategy | string | Chunking strategy: keywords or summary |
Allowed: keywords, summary |
| imageExtractionStrategy | string | Image extraction strategy: safe or brute
Allowed: safe, brute |
| minImageWidth | integer | Minimum image width for extraction (pixels, min 100) |
| minImageHeight | integer | Minimum image height for extraction (pixels, min 100) |
| aspectRatioMin | string | Minimum aspect ratio for image extraction (0.1-1.0) |
| aspectRatioMax | string | Maximum aspect ratio for image extraction (min 1.0) |
Example
const result = await client.embeddingsSettings.update();